#include <klocale.h>
#include <kdialog.h>
/****************************************************************************
** Form implementation generated from reading ui file '../src/kdissert/shell/TextProperties_base.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "default/src/kdissert/shell/TextProperties_base.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qsplitter.h>
#include <kpushbutton.h>
#include <ktextedit.h>
#include <klineedit.h>
#include <qgroupbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kpushbutton.h"
#include "ktextedit.h"
#include "klineedit.h"

/*
 *  Constructs a TextProperties_base as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
TextProperties_base::TextProperties_base( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "TextProperties_base" );
    TextProperties_baseLayout = new QGridLayout( this, 1, 1, 11, 6, "TextProperties_baseLayout"); 

    splitter6 = new QSplitter( this, "splitter6" );
    splitter6->setOrientation( QSplitter::Horizontal );

    QWidget* privateLayoutWidget = new QWidget( splitter6, "layout1" );
    layout1 = new QGridLayout( privateLayoutWidget, 1, 1, 11, 6, "layout1"); 

    underlinebt = new KPushButton( privateLayoutWidget, "underlinebt" );
    underlinebt->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)1, 0, 0, underlinebt->sizePolicy().hasHeightForWidth() ) );
    underlinebt->setFocusPolicy( KPushButton::NoFocus );
    underlinebt->setToggleButton( TRUE );

    layout1->addWidget( underlinebt, 3, 0 );

    boldbt = new KPushButton( privateLayoutWidget, "boldbt" );
    boldbt->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)1, 0, 0, boldbt->sizePolicy().hasHeightForWidth() ) );
    boldbt->setFocusPolicy( KPushButton::NoFocus );
    boldbt->setToggleButton( TRUE );
    boldbt->setProperty( "stdItem", 0 );

    layout1->addWidget( boldbt, 1, 0 );

    textedit = new KTextEdit( privateLayoutWidget, "textedit" );
    textedit->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, textedit->sizePolicy().hasHeightForWidth() ) );
    textedit->setTextFormat( KTextEdit::RichText );
    textedit->setReadOnly( TRUE );
    textedit->setTabChangesFocus( TRUE );
    textedit->setAutoFormatting( int( KTextEdit::AutoAll ) );

    layout1->addMultiCellWidget( textedit, 1, 4, 1, 1 );

    italicbt = new KPushButton( privateLayoutWidget, "italicbt" );
    italicbt->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)1, 0, 0, italicbt->sizePolicy().hasHeightForWidth() ) );
    italicbt->setFocusPolicy( KPushButton::NoFocus );
    italicbt->setToggleButton( TRUE );

    layout1->addWidget( italicbt, 2, 0 );
    spacer3_2 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout1->addItem( spacer3_2, 4, 0 );

    summaryedit = new KLineEdit( privateLayoutWidget, "summaryedit" );
    summaryedit->setEnabled( FALSE );

    layout1->addMultiCellWidget( summaryedit, 0, 0, 0, 1 );

    linksbox = new QGroupBox( splitter6, "linksbox" );

    TextProperties_baseLayout->addWidget( splitter6, 0, 0 );
    languageChange();
    resize( QSize(668, 163).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( boldbt, SIGNAL( toggled(bool) ), textedit, SLOT( setBold(bool) ) );
    connect( italicbt, SIGNAL( toggled(bool) ), textedit, SLOT( setItalic(bool) ) );
    connect( underlinebt, SIGNAL( toggled(bool) ), textedit, SLOT( setUnderline(bool) ) );

    // tab order
    setTabOrder( summaryedit, textedit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
TextProperties_base::~TextProperties_base()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void TextProperties_base::languageChange()
{
    underlinebt->setText( QString::null );
    underlinebt->setAccel( QKeySequence( tr2i18n( "Ctrl+U" ) ) );
    boldbt->setText( QString::null );
    boldbt->setAccel( QKeySequence( tr2i18n( "Ctrl+B" ) ) );
    QToolTip::add( textedit, tr2i18n( "Text content" ) );
    italicbt->setText( QString::null );
    italicbt->setAccel( QKeySequence( tr2i18n( "Ctrl+I" ) ) );
    QToolTip::add( summaryedit, tr2i18n( "Text summary" ) );
    linksbox->setTitle( tr2i18n( "Links to External Documents" ) );
}

#include "TextProperties_base.moc"
